KISSPLICE(14)

NAME
kisSplice - local assembly of SNPs, indels and AS events

SYNOPSIS
kissplice -h
kissplice [OPTION] [-r READFILES]

DESCRIPTION
Detects alternative splicing events and other kinds of polymorphisms from READFILES (in FASTA or FASTQ format).

OPTIONS

-h, --help
    Show this help message and exit.

-r READFILES
    Input fasta/q read files or compressed (.gz) fasta/q files (mutiple, such as "-r file1 -r file2...")

-k KVAL
    k-mer size (default=41).

-b BVAL
    Maximum number of branching nodes (default: 5)

-l LLMAX
    Maximal length of the shorter path (default: 2k+1).

-m LL_MIN
    Minimum length of the shorter path (default 2k-8).

-M UL_MAX
    Maximum length of the longest path (default: 1000000), skipped exons longer than UL_MAX are not reported.

-g GRAPH_PREFIX
    Path and prefix to pre-built de Bruijn graph (suffixed by .edges/.nodes) if jointly used with -r, graph used to find bubbles and reads used for quantification.

-o OUT_DIR
    Path to store the results (default = ./results).

-d PATH_TO_TMP
    Specific directory (absolute path) where to build temporary files (default temporary directory otherwise).

-t NBPROCS
    Number of cores (must be <= number of physical cores).

-s OUTPUT_SNPS
    0, 1 or 2. Changes which types of SNPs will be output. If 0 (default), will not output SNPs. If 1, will output Type0a-SNPs. If 2, will output Type0a and Type0b SNPs (warning: this option may increase a lot the running time.).

-v  Verbose mode.

-u  Keep the nodes/edges file for unfinished bccs.

-c MIN_COV
    Discard k-mers tha are present strictly less than this number of times in the dataset. (default 2).

-C MIN_RELATIVE_COV
    Discard edges with relative coverage below MIN_RELATIVE_COV expressed as a percentage in [0,1). (default 0.05).

-e MIN_EDIT_DIST
    Classify as inexact repeats those bubbles whose paths' edit distance is smaller than MIN_EDIT_DIST (default 3).

-y MAX_CYCLES
    Maximal number of bubble enumerations in each bcc. If exceeded, no bubble is output for the bcc (default: 100000000).

--mismatches NB_MISMATCHES
    Maximal number of substitutions authorized between a read and a fragment (for quantification only), default 2. If you increase the mismatch and use --counts think of increasing min_overlap too.

--counts COUNTS_TYPE
    Changes how the counts will be reported. If 0: total counts, if 1: counts on junctions, if 2 (default): all counts.

--min_overlap MIN_OVERLAP
    Sets how many nt must overlap a junction to be counted by --counts option (default: 5).

--timeout TIMEOUT
    Max amount of time (in seconds) spent for enumerating bubbles in each bcc. If exceeded, no bubble is output for the bcc (default 100000).

--version
    Display program's version number and exit.

--output-context
    Will output the maximum non-ambiguous context of a bubble.

--output-path
    Will output the id of the nodes composing the two paths of the bubbles.

--output-branch-count
    Will output the number of branching nodes in each path.

--keep-bccs
    Keep the node/edges files for all bccs.

--not-experimental
    Do not use a new experimental algorithm that searches for bubbles by listing all paths.

--max-memory MAX_MEMORY
    If you use the experimental algorithm, you must provide the maximum size of the process's virtual memory (address space) in megabytes (default unlimited).

--keep-counts
    Keep the .counts file after the sequencing-errors-removal step.

--get-mapping-info
    Creates a file with the KissReads mapping information of the reads on the bubbles.

--stranded
    Execute kissreads in stranded mode.

--strandedAbsoluteThreshold
    Sets the minimum number of reads mapping to a path of a bubble in a read set is needed to call a strand.

--strandedRelativeThreshold
    If a strand is called for a path of a bubble in a read set, but the proportion of reads calling this strand is less than this threshold, then the strand of the path is set to '?' (any strand - not enough evidence to call a strand).